Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619977 - Missing dependency on libmikmod.so.3
Missing dependency on libmikmod.so.3
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gl-117 (Show other bugs)
13
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-30 23:46 EDT by Cesar Eduardo Barros
Modified: 2011-06-29 08:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-29 08:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Cesar Eduardo Barros 2010-07-30 23:46:33 EDT
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; pt-BR; rv:1.9.2.7) Gecko/20100723 Fedora/3.6.7-1.fc13 Firefox/3.6.7

gl-117 fails to run, complaining of a missing libmikmod.so.3.

Reproducible: Always

Steps to Reproduce:
1. Install gl-117 without installing libmikmod
2. Try to run gl-117
Actual Results:  
Info: Found gl-117 data directory /usr/share/gl-117 
Info: Startup gl-117, V1.3 ... 
Info: Loading /home/cesarb/.gl-117/conf 
Warning: Could not load /home/cesarb/.gl-117/conf
Info: No configuration file found. Testing...
Info: Using SDL and GLUT
Info: Saving /home/cesarb/.gl-117/conf 
Info: Loading /home/cesarb/.gl-117/conf.interface 
Warning: Could not load /home/cesarb/.gl-117/conf.interface
Info: Saving /home/cesarb/.gl-117/conf.interface 
Warning: Could not load saves/pilots
Warning: Could not load pilot
Info: Using SDL and GLUT
Info: Using SDL_mixer
Fatal: Cannot open winner.s3m: Failed loading libmikmod.so.3: libmikmod.so.3: cannot open shared object file: No such file or directory


Expected Results:  
It should depend on libmikmod.so.3, so it would be installed together with gl-117.
Comment 1 Bug Zapper 2011-06-01 08:26:16 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-29 08:44:30 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.